Libftdi Ubuntu

04 server edition x86 sudo apt-get install build (but I can cross build it under Ubuntu as well). 1 is the version of OpenOCD currently in development. Download libfreetype-2. Once your system is installed you can simply call up a list of all the existing tools out there and choose any of them for immediate installation over the internet. html However No such file or directory always pops up even though I can see the file on my desktop? Stack Exchange Network Stack Exchange network consists of 175 Q&A communities including Stack Overflow , the largest, most trusted online community for developers to learn, share their knowledge, and. Note that these steps are made for Ubuntu 12. libftdiの動作に必要な関連プロジェクトをインストールします。 sudo apt-get install libconfuse-dev sudo apt-get install swig python-dev sudo apt-get install libboost-all-dev libftdiのコードを取得します。. At first I was really confused how to make the libFTDI works since I tried to install libusb manually, and it took me several days to get it running. 04 with the LibFTDI driver library, for use with the TinCanTools Flyswatter. 20-4build1_amd64. gz 25-Dec-2018 03:23. #is the source package name; # #The fields below are the sum for all the binary packages generated by #that source package: # is the number of people who installed this. But it is hard to install this driver for usual Ubuntu user. \$\begingroup\$ I am on ubuntu so I do not require a driver for the chip. Bei Debian/Ubuntu ergänzen Sie noch in /etc/udev/permissions. The driver is available for download as a 3rd party driver from INDI's download page. 1 day ago · Ft232h module. I also had to checkout the xc3sprog code from the sourceforge directory using subversion. Original Maintainer (usually from Debian):. MXE (M cross environment) is a GNU Makefile that compiles a cross compiler and cross compiles many free libraries such as SDL and Qt. 4 64-bit: i compiled and installed libusb-1. 0 stable release. ALT Linux Arch Linux CentOS Debian Fedora Mageia Mint OpenMandriva openSUSE PCLinuxOS ROSA Slackware Ubuntu. This page has more links to the wiki, and to the associated mailing list. It uses libftdi to access the chip, so you will need to have the required permissions on the device. org Windows binaries I have not built Windows binary for libftdi for a while. Mar 09, 2017 · Compiling OpenOCD v04 Linux on Tin Can Tools | This guide will compile OpenOCD 0. All Debian Packages in "sid" Generated: Sun Dec 1 01:57:20 2019 UTC Copyright © 1997 - 2019 SPI Inc. That command failed consistently on the PORT command, so I downloaded the file using Firefox; after all the remaining build was successfull without human intervention. I checked on Ubuntu and OS X. Sep 22, 2018 · Building Pixhawk Firmware on Linux. \$\endgroup\$ – Rick_2047 Mar 10 '11 at 4:53. On Debian like systems (including Ubuntu, Mint, Debian, etc), the package libftdi-dev should give you what you need as far as the libftdi library is concerned: $ sudo apt-get install libftdi-dev The following works for both a Raspberry Pi (Debian Wheezy) and Ubuntu 12. 9-1 (cmake_2. A good choice if you are writing your own code and want to talk to a device without using the limited serial programming interface. It was a long release cycle but it was also a fruitful one. rpm for CentOS 6 from EPEL repository. Linux系のシステムをお使いの場合は、 libftdiをインストールする必要があります。Ubuntuなどをお使いの場合はソフトウェアセンターなどのパッケージマネージャーを用いてインストールすることができます。. This team is subscribed to bugs for all of the Ubuntu packages listed here. so -o simple Danny> When I tried to run it, I got the following error: Danny> [email protected]:~$. I want to run: python3 myfile. I thought that libftdi would give me greater flexibility. For ubuntu do a sudo. Configuration for TI PandaBoard and OpenOCD 0. 04 LTS <> Ubuntu Core 14. It will not install a graphical user interface. conf (1) solaris (1) sound (1) source. January 25, 2012: Updated to build against newer versions of libftdi. 10BETA on my NSLU2 and want to compile the latest " libftdi-0. Thanks for contributing an answer to Ask Ubuntu! Please be sure to answer the question. ftdi_eeprom is a small tool for reading/erasing/flashing FTDI USB chip eeproms. sudo apt-get install ninja-build -y Other systems may not include Ninja in the package manager. 1 comes with a libusb-config file. Finding out the portIndex is easy on windows by simply checking in Control Panel -> Device Manager. 9-1 (cmake_2. Ubuntu under Windows Subsystem for Linux is not an officially supported environment, but it appears to produce good builds. I observed that the version of me cmake on Raspberry pi is 2. 04),right?. Programming an Altera Cyclone II FPGA with a FT232RL – Python Code This is the final post in a series of three to explain how to use the FT232RL USB to UART Bridge to program a Cyclone II FPGA. 6-32bit--ft232h-libftdi1. If you just want to use lirc, you should be able to install it like any other package. The scripts are: ubuntu_sim. Package: assimp-utils Priority: extra Section: utils Installed-Size: 347 Maintainer: IOhannes m zmölnig Architecture: armhf Source: assimp Version: 3. It uses libftdi to access the chip, so you will need to have the required permissions on the device. OK, I Understand. 04 LTS from Ubuntu Universe repository. GNU C++11 (Ubuntu 6. There is no official package available for openSUSE Leap 15. I have a pie (512mb), which i intend to use for controlling a DMX512 usb-serial interface that needs to have a baudrate of 250000 (non standard) and another usb-serial connected to a led-sign that runs on baudrate 9600. You signed out in another tab or window. 04, getting ordinary users (e. sudo apt-get install ninja-build -y Other systems may not include Ninja in the package manager. 0, example/find_all_pp found my BeagleBone (FT2232-based adapter) with no problems after I ran it with sudo. Since Mingw-w64 is neither the home of GCC nor of binutils, several sets of installation packages which combine them are available. I'd like to use it get get the check engine light codes from my car. Jul 15, 2012 · It worked flawlessly on Ubuntu 12. libftdi - An open source library to talk to FTDI chips using libusb. deb file) depends on libconfuse0 which is not available on 16. 0 for use on Ubuntu 12. (see also hackster. Like • Show 0 Likes 0. 10 " since I am unable to find stable packages at ipkgfind website. But I forgot that nearly all programming languages can communicate with serial port. # This WSL Ubuntu bash script will update the system, fetch all dependencies, and git clone # all of the libraries for creating a picosoc RISC-V on the TinyFPGA with riscv-gnu-toolchain-rv32i toolchain,. Es müssen 166 kB an Archiven heruntergeladen werden. 0 stable release. 00104 in CentOS 6. 0 for Ubuntu 10. Ubuntu関係; Windows系. Download libftdi1-dev_1. How to install libeeze-dev ubuntu package on Ubuntu 18. Ubuntu Developers More information about apt-get install Advanced Package Tool, or APT, is a free software user interface that works with core libraries to handle the installation and removal of software on Debian, Ubuntu and other Linux distributions. sudo apt-get install ninja-build -y Other systems may not include Ninja in the package manager. 04 with the LibFTDI driver library, for use with the TinCanTools Flyswatter. 1-4および、libusb-devが必要になる。 (libusb-1. The Ubuntu team has upgraded to libconfuse1 (v3. Here are the details. Indeed according to Microsoft, lxrun is deprecated as of Windows 10 1803 and later. If you are building the release tar ball, just extract the source tar ball. Install it like so:. 04 LTS from Ubuntu Universe repository. The output shows that you are running libftdi version 0. Pull requests 0. The reason that I wanted to use vcp drivers is I want to use other programming languages than C. I have modified. 2vcard universe/utils 3dchess universe/games 3ddesktop universe/utils 44bsd-rdist universe/net 6tunnel universe/net 915resolution universe/x11 9menu universe/x11 9wm universe/x11. 04, getting ordinary users (e. If using a VM, configure with at least 2GB of RAM and 10GB of hard disk space for optimal performance. libftdi, however, needs to be downloaded, compiled, and installed as described below. 我们使用Debian / Ubuntu LTS 作为Linux的标准支持版本,但是也支持Cent OS 和 Arch Linux的发行版本。. [solved] Qt5. adafruit-ads1x15-pip: debian: pip: packages: [Adafruit-ADS1x15] ubuntu: pip: packages: [Adafruit-ADS1x15] adafruit-gpio-pip: debian: pip: packages: [Adafruit-GPIO. Previously this guide was based on a ubuntu 7. Execute a normal Ubuntu installation (including the updates). I have CentOS 5. Here is a recipe working on Ubuntu Trusty LTS: sudo apt-get install gcc g++ libtool automake autoconf libftdi-dev libusb-1. If you are running Ubuntu, it is strongly suggested to use a package manager like aptitude or synaptic to download and install packages, instead of doing so manually via this website. Kom igång med Raspberry pi för hemautomation. Provides an extensive set of libraries, algorithms, and applications employed in a number of mobile robotics research areas. With regional technical support throughout the world, our goal is to provide total solutions that reduce development risk, enhance system. Download libfdt-devel-1. 267 * Maybe these will be easier to use with the libftdi/libusb user-space 268 * drivers, or possibly the Comedi drivers in some cases. gz 25-Dec-2018 03:23. libftdi and ftd2xx are two libraries to talk to FTDI devices. so file, which is the equivalent of. sudo apt-get build-dep binutils gcc newlib gdb sudo apt-get install libgmp3-dev libmpfr-dev subversion git-core libgmp3-dev libmpfr-dev libmpc-dev libftdi-dev sudo apt-get install python-yaml Gareth's instructions for SAT:. 2-5build1_amd64. con Ubuntu como sistema operativo. Compiling OpenOCD v0. I did it again with ftdi vcp drivers instead of libftdi. Test this by hovering a button with the mouse and tapping the touch screen. 10, But it is similar on other Linux distros. Jun 27, 2017 · Building NuttX, In Ubuntu, From Scratch. I'd like to use it get get the check engine light codes from my car. Jun 15, 2016 · I have installed the FT232H. I thought that libftdi would give me greater flexibility. Using OpenOCD with TELNET connection (a simple tutorial) Motivation. dll using the installer provided by ftdichip (the default. You are currently viewing LQ as a guest. This is the most recent release version of OpenOCD. 0 for use on Ubuntu 12. A Guide to Setup Command Line Development Environment for K210 Introduction This guide introduces how to setup command line development environment for K210 in Ubuntu or Windows seperately. x API Download If you want to add something to libftdi or develop a patch, you can download the repository to your current directory with the following command:. On Debian like systems (including Ubuntu, Mint, Debian, etc), the package libftdi1-dev should give you what you need as far as the libftdi library is concerned: $ sudo apt-get install libftdi1-dev The following works for both a Raspberry Pi (Debian Wheezy) and Ubuntu 12. I am trying to write a python bit-banging application to communicate with a FT232H eeprom using pylibftdi (over serial port). html However No such file or directory always pops up even though I can see the file on my desktop? Stack Exchange Network Stack Exchange network consists of 175 Q&A communities including Stack Overflow , the largest, most trusted online community for developers to learn, share their knowledge, and. dll using the installer provided by ftdi. 搭建飞控开发环境:ubuntu下pixhawk开发环境搭建(PX4开发)关于开发环境,可以选择Windows、Linux或者Mac,若选择Linux,建议安装Ubuntu16. dll files on windows. Unter Debian und Ubuntu kann man die Python-Verbindung zu libftdi mit sudo apt-get install python-ftdi installieren. We defend the rights of all software users. libftdi and ftd2xx are two libraries to talk to FTDI devices. Install it like so:. Getting started with STM32F4XX with minimal resources and time - NOT USING ECLIPSE [quick start] ADVERTISEMENT When we need more processing power and better performance with lower power usage, often we need to move to better and more powerful microcontrollers. This code rubengooj/pl-slam contains an algorithm to compute stereo visual SLAM by using both point and line segment features. Surface Dial の可能性を引き出す対応アプリを使いましょう。まったく新しい自由なやり方で、クリエイティブな作品を制作できます。 購入する ゴールデンウィークを楽しく ゴールデンウィークです!恋人と連絡を取り合っ. Nov 17, 2012 · STM32F3 Discovery + Eclipse + OpenOCD Hi, ST launched in September a very interesting development board( STM32F3-Discovery ). however, i only tested gpio and i2c functions. The easiest option is to use the most recent version of our Automated Driver Installer GUI: "zadig. Then download and build libftdi. 安装 OpenOCD 1. For instructions on compiling with the most recent release code, see Compiling OpenOCD Linux. 04でのインストール手順です。元々ブログに書いたものをほぼそのまま転載しています。 元はここです。. In my case, it is something like: [3486. 04 LTS from Ubuntu Universe repository. On Debian or Ubuntu (or other Debian derivatives) you do this as follows: apt-get install build-essential Buidling a toolchain can be tedious however the nice people who developed the Summon ARM toolchain have automated most of this. Jul 12, 2015 · There is a team established here for hams using Ubuntu Linux. Index of /~ubuntu-archive/germinate-output/lubuntu. Compiling OpenOCD Linux This guide will compile OpenOCD 0. 04lts) By awallin, October 20, 2014 in. 0-12ubuntu2) version 6. That means you can get up to 800KB/s. Needed by libftdi. USB driver installer for FTDI and Libusb drivers. 0, finally!For the important points regarding packaging please see. Compiling OpenOCD v04 Linux on Tin Can Tools | This guide will compile OpenOCD 0. 04 LTS from Ubuntu Universe repository. 安装 OpenOCD 1. But I forgot that nearly all programming languages can communicate with serial port. I did it again with ftdi vcp drivers instead of libftdi. I finally got the C implementation working. Ubuntu MOTU Developers (Mail Archive) Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly. 0, a GDB server for Eclipse and Netbeans. I have notices this when analyzing the sources of the driver for FTDI based dongles and also posted some questions about this to the list, but you seem to be the first person who spotted the problem in real use (really a surprise, it seems like no one else is using libftdi?). Although this tutorial was written using Windows 7, Mac OS X 10. 04, Linux Mint Mate. 6-32bit--ft232h-libftdi1. On Ubuntu Linux you can install this automatically from normal repos. Cygwin(Windows) is NOT supported because the file system isn't case-sensitive. Jul 23, 2014 · UPLOADING INSTRUCTIONS If you do not know the settings required to program the Arduino, I would recommend that you open the arduino IDE-> File -> Preferences -> check Show verbose output during upload and upload any of the examples (here I am uploading the blink program to my arduino duemilanove) and in the command window in the second line you will see something like this. Download libfdt-devel-1. Ubuntu MOTU Developers (Mail Archive) Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly. Previously this guide was based on a ubuntu 7. 04 I use the Ubuntu App instead of the "bash for Windows". deb) whereas the version on Ubuntu is 2. As you might want to interpolate floating point numbers for some instrumentation routine, for example, the integer limitation may lend you into some low resolution results. Debian/Ubuntu users can install them with apt: sudo apt-get install libcppunit-dev uuid-dev pkg-config libncurses5-dev libtool autoconf automake g++ libmicrohttpd-dev \ libmicrohttpd10 protobuf-compiler python-protobuf libprotobuf-dev libprotoc-dev zlib1g-dev bison flex make libftdi-dev libftdi1 libusb-1. The package is severely out of date with respect to the Debian Policy. Ninja比Make更快,并且PX4的CMake生成器可以支持它。不幸的是,Ubuntu目前只支持一个非常过时的版本。下载二进制文件并添加到系统路径来安装最新版本的Ninja:. The following source packages depend on gettext but are missing the :any modifier as well. Therefore, we need to set up a udev rule to change the permissions. utilities for extracting tar gzip archive files, such as the Archive Manager in Ubuntu. 04 Themen: 5496 | Beiträge: 31795. The following instructions are alternative to downloading binary OpenOCD from Espressif GitHub. Connect your Olimex JTAG debugger to the VC707 FPGA board by the XADC (J19) header as shown as follows: The four data pins TDI (pin 5), TMS (pin 7), TCLK (pin 9), and TDO (pin 13) are connected to the XADC_GPIO 0 to 3 (pin 17 to 20). I bought STM32F4 Discovery board from Farnell two months ago, but I got to it only two days ago. 99) in the mail. The D2XX library for Linux can be downloaded from the FTDI driver page, but libftdi is easier to install: simply locate libftdi-dev in your favorite package manager and have it take care of the. 0) I have tried to build telldus-core from source, but it won't compile on ubuntu 16. The initial problem was that debugging of Cortex R4 (or Cortex R5) with an XDS110 was not possible due to a missing XML file in the Linux CCS - see LAUNCHXL2-TMS57012 with XDS110 JTAG emulator - no linux support? for details. you may find that a particular ubuntu release will also work. It is intended to be used by developers to facilitate the production of applications that communicate with USB hardware. 0 for Ubuntu 10. I have installed the FT232H. 04),right?. Alternatives. You need to be subscribed to post - open subscription. 04 LTS <> Ubuntu Core 14. 操作系统: Ubuntu 10. 'pi' on the RPi) access to the FTDI. 04 if you are trying to follow along. 04 64bit and I see a difference of about 50% performance between the 2. 04 - This guide uses the libFTDI open source driver library as distributed with Ubuntu 13. rpm for CentOS 6 from EPEL repository. libftdi install on win 7 64-bit?. We provide AppImages (see appimage. i would like to ask you if there is any tutorial about libusb i could learn how to use quickly. avrdude: error: no libftdi or libusb support. My EV3 is running ev3dev snaphot 2017-02-06. 0-0-dev libglib2. 1 day ago · Ft232h module. For LIRC to compile the ftdix driver we also need libftdi. I have installed the FT232H. * Ubuntu 18. 04 LTS from Ubuntu Universe repository. 0, example/find_all_pp found my BeagleBone (FT2232-based adapter) with no problems after I ran it with sudo. I want to run: python3 myfile. Windows 10 Home 1809; WSL上のLinux環境. libFTDI works perfectly with Linux, Windows, MacOS X and BSD variants thanks to libusb. 18 with Ubuntu (Lucid Lynx) 2. Becaue the libftdi is standard driver of off-the-shelf Ubuntu 10. Simply select the device from the list, right-click, select the desired driver type and the tool will do the rest. For comments or suggestions regarding this software send a mail to Otto Schaile This page has been automatically generated. For instructions on compiling with the most recent release code, see Compiling OpenOCD Linux. There is a team established here for hams using Ubuntu Linux. 0-0-dev liblo-dev libavahi-client-dev. 04 LTS (both 64bit) performance difference From 10:00 CET Friday 22nd November we will adjust how the server works to deal with some recently reported problems. Several other open-source Python FTDI wrappers exist, and each may be best for some projects. 0 for Ubuntu 10. Download python-ftdi1_1. Provide details and share your research! But avoid … Asking for help, clarification, or responding to other answers. ‘pi’ on the RPi) access to the FTDI. 6 can also be found in this github repository. Die folgenden NEUEN Pakete werden installiert: libftdi-dev 0 aktualisiert, 1 neu installiert, 0 zu entfernen und 22 nicht aktualisiert. 2vcard universe/utils 3dchess universe/games 3ddesktop universe/utils 44bsd-rdist universe/net 6tunnel universe/net 915resolution universe/x11 9menu universe/x11 9wm universe/x11. Thanks for contributing an answer to Ask Ubuntu! Please be sure to answer the question. Provide details and share your research! But avoid … Asking for help, clarification, or responding to other answers. Note that these steps are made for Ubuntu 12. Download libftdi1 packages for ALTLinux, Debian, FreeBSD, NetBSD, openSUSE, ROSA, Slackware, Ubuntu. Oct 11, 2013 · If you are using 64-bit Ubuntu, you should install ia32-libs for using GNU-arm binary for 32-bit compatibility. 0 for Ubuntu 10. i think there will be a way to get this driver work, but before spending further more time, i tried the open source library: when you use ubuntu linux or similar, you can use apt-get install libftdi-dev and apt-get install openocd and are nearly finished. 04, the only exception being the newlib2. gz (398380 bytes) Unpack and execute ". @article{gomez2017pl, title = {{PL-SLAM: a Stereo SLAM System through the Combination of Points and Line Segments}}, author = {Gomez-Ojeda, Ruben and Zuñiga-Noël, David and Moreno, Francisco-Angel and Scaramuzza, Davide and Gonzalez. 04 or newer: default gcc version is ok. It uses libftdi to access the chip, so you will need to have the required permissions on the device. google “python3 bytes bytearray unicode” for more details. 04 with the LibFTDI driver library, for use with the TinCanTools Flyswatter. Ubuntu/Debian installation prerequisites. 04 but should work on other Linux-based systems as well. How to install libftdi1 ubuntu package on Ubuntu 18. Mingw-w64 packages on Ubuntu Win-builds is a cross-platform project that makes building for Windows easy. Also, several utilities for the future use, install following packages. Becaue the libftdi is standard driver of off-the-shelf Ubuntu 10. You signed out in another tab or window. I was just hoping that I could make these drivers work with libftdi as both are pin compatible. Instruction for installing and using the icsneoAPI shared library for Linux Install the libFTDI shared library, version 0. 04 LTS <> Ubuntu Core 14. For LIRC to compile the ftdix driver we also need libftdi. libftdiの動作に必要な関連プロジェクトをインストールします。 sudo apt-get install libconfuse-dev sudo apt-get install swig python-dev sudo apt-get install libboost-all-dev libftdiのコードを取得します。. 04 I use the Ubuntu App instead of the "bash for Windows". GNU C++11 (Ubuntu 6. 4-2+b1_amd64. /bootstrap. Download libftdi. 04/Ubuntu 17. libFTDI is an open source library that enables you to communicate with FTDI chips like: FT232BM, FT245BM, FT245R, FT2232C, FT2232D and FT2232H. I did it again with ftdi vcp drivers instead of libftdi. I had to installed the version libftdi-0. com/en/developer/libftdi/. x API Download If you want to add something to libftdi or develop a patch, you can download the repository to your current directory with the following command:. One nice thing about libftdi is that I can let it worry about which libusb API to use. If you are using one of the latest versions of Ubuntu (10. Moreover, Telnet connection may also be. The reason that I wanted to use vcp drivers is I want to use other programming languages than C. This is done using Ubuntu Linux in this tutorial, however, the instructions should be general enough to make this work on any Debian-based GNU/Linux distribution. gz (398380 bytes) Unpack and execute ". 10/Ubuntu 16. gz will be generated (as well as a program example for testing) Cross-compiling the libusb library It has been tested on a Ubuntu 15. 04 LTS and got this when i tried to upgrade: since the armel-packages have dependency on libftdi >= 0. Perhaps the cmake doesn't work the same !? Any help is welcome. 6-32bit--ft232h-libftdi1. wxWidgets Discussion Forum. google “python3 bytes bytearray unicode” for more details. > Date: Mon, 14 Jan 2013 21:47:40 +0800 > Subject: Re: Compile Error on Ubuntu 10. Hello! Firstly, i'm not really sure if this is the correct place to post on, feel free to move if wrong. Carefully follow the steps below to install these libraries. Maybe I will get it to work someday. dll files on windows. fix the names of the pkg-config libraries of libusb and libftdi. Complete summaries of the Gentoo Linux and Fedora projects are available. 04 with the LibFTDI driver library, for use with the TinCanTools Flyswatter. One solution would be to bypass libftdi and have libmpsse do the usb bulk reads itself, but I'll have to look into it further. The current version, which is compatible with both 32 and 64 bit Windows platforms, starting with Windows 2000, should be able to install a WinUSB driver for any USB device. /20-Nov-2019 14:05 - 0ad-0. 2, MPFR version 3. 0 for Ubuntu 10. Download the Linux tar file from Gadget Factory download section and extract to your directory of choice. Prior to pylibftdi version 0. Jul 22, 2016 · So you just installed Ubuntu 16. 我们使用Debian / Ubuntu LTS 作为Linux的标准支持版本,但是也支持Cent OS 和 Arch Linux的发行版本。. Personally I prefer to build the toolchain locally. I finally got the C implementation working. Ubuntu and Debian have it but I also compiled it from source – not sure why but at least for ev3dev just installing Debian libftdi packages is not enough and it seems that just compilling libftdi is also not enough, I had to do both. This is the most recent release version of OpenOCD. I tried DOS command prompt, a powershell prompt, the Windows bash prompt (C:\Windows\system32\bash. NET wrapper class for the FTD2XX DLL on the Windows platform. 1 on Ubuntu 14. Using OpenOCD with TELNET connection (a simple tutorial) Motivation. Hello! Firstly, i'm not really sure if this is the correct place to post on, feel free to move if wrong. Oct 20, 2009 · In my post "Plotting memory usage on console" the chart doesn't pan the data. There is no official package available for openSUSE Leap 15. 操作系统: Ubuntu 10. Then follow these steps. Please avoid uploads unrelated to this transition, they would likely delay it and require supplementary work from the release managers. Execute a normal Ubuntu installation (including the updates). It comes in four separate editions with a choice of GNOME, KDE, LXDE or Xfce desktops. Jul 15, 2012 · It worked flawlessly on Ubuntu 12. If you want to use libusb or libftdi you need to get the headers and static library files (*. If not, be aware that libftdi in turn relies on libusb.